#include <avr/io.h>
#include <avr/interrupt.h>
#define BIT_CLK         10e3                    // Bit time T = 10kHz
#define PRESCALER       64                      // F_CPU / 64
#define	BIT_TIME	(F_CPU / BIT_CLK / PRESCALER)
#define DATA_SIZE       3                       // 3 Byte
volatile uint8_t tx_buff[DATA_SIZE];
volatile uint8_t tx_idx;
/****************************** Receiving *******************************/
#define	rx_busy() PCMSK1   // 0 = data received  Pin Change Mask Register 1
#define rx_idx  tx_idx
#define rx_buff tx_buff
volatile uint8_t rx_timeout;

void tx_data( uint8_t addr, uint8_t data );
void rx_init( void );